Privoxy 4.1.0 User Manual
Prev |  | Next

# 5. Starting Privoxy

Before launching Privoxy for the first time, you will want to configure your browser(s) to use Privoxy as a HTTP and HTTPS (SSL) proxy. The default is 127.0.0.1 (or localhost) for the proxy address, and port 8118 (earlier versions used port 8000). This is the one configuration step that must be done!

Please note that Privoxy can only proxy HTTP and HTTPS traffic. It will not work with FTP or other protocols.

Figure 2. Proxy Configuration Showing Mozilla Firefox HTTP and HTTPS (SSL) Settings

With Firefox, this is typically set under:

Edit -> Preferences -> Network Settings -> Settings

Or optionally on some platforms:

Edit -> Preferences -> General -> Connection Settings -> Manual Proxy Configuration

With Netscape (and Mozilla), this can be set under:

Edit -> Preferences -> Advanced -> Proxies -> HTTP Proxy

For Internet Explorer v.5-7:

Tools -> Internet Options -> Connections -> LAN Settings

Then, check "Use Proxy" and fill in the appropriate info (Address: 127.0.0.1, Port: 8118). Include HTTPS (SSL), if you want HTTPS proxy support too (sometimes labeled "Secure"). Make sure any checkboxes like "Use the same proxy server for all protocols" is UNCHECKED. You want only HTTP and HTTPS (SSL)!

Figure 3. Proxy Configuration Showing Internet Explorer HTTP and HTTPS (Secure) Settings

After doing this, flush your browser's disk and memory caches to force a re-reading of all pages and to get rid of any ads that may be cached. Remove any cookies, if you want Privoxy to manage that. You are now ready to start enjoying the benefits of using Privoxy!

Privoxy itself is typically started by specifying the main configuration file to be used on the command line. If no configuration file is specified on the command line, Privoxy will look for a file named `config` in the current directory. Except on Win32 where it will try `config.txt`.

## 5.1. Debian

We use a script. Note that Debian typically starts Privoxy upon booting per default. It will use the file `/etc/privoxy/config` as its main configuration file.

      # /etc/init.d/privoxy start

## 5.2. FreeBSD and ElectroBSD

To start Privoxy upon booting, add "privoxy_enable='YES'" to `/etc/rc.conf`. Privoxy will use `/usr/local/etc/privoxy/config` as its main configuration file.

If you installed Privoxy into a jail, the paths above are relative to the jail root.

To start Privoxy manually, run:

      # service privoxy onestart

## 5.3. Windows

Click on the Privoxy Icon to start Privoxy. If no configuration file is specified on the command line, Privoxy will look for a file named `config.txt`. Note that Windows will automatically start Privoxy when the system starts if you chose that option when installing.

Privoxy can run with full Windows service functionality. On Windows only, the Privoxy program has two new command line arguments to install and uninstall Privoxy as a service. See the Windows Installation instructions for details.

## 5.4. Generic instructions for Unix derivates (Solaris, NetBSD, HP-UX etc.)

Example Unix startup command:

      # /usr/sbin/privoxy --user privoxy /etc/privoxy/config

Note that if you installed Privoxy through a package manager, the package will probably contain a platform-specific script or configuration file to start Privoxy upon boot.

## 5.5. Mac OS X

The privoxy service will automatically start after a successful installation (and thereafter every time your computer starts up) however you will need to configure your web browser(s) to use it. To do so, configure them to use a proxy for HTTP and HTTPS at the address 127.0.0.1:8118.

To prevent the privoxy service from automatically starting when your computer starts up, remove or rename the file `/Library/LaunchDaemons/org.ijbswa.privoxy.plist` (on OS X 10.5 and higher) or the folder named `/Library/StartupItems/Privoxy` (on OS X 10.4 'Tiger').

To manually start or stop the privoxy service, use the scripts startPrivoxy.sh and stopPrivoxy.sh supplied in /Applications/Privoxy. They must be run from an administrator account, using sudo.

## 5.6. Command Line Options

Privoxy may be invoked with the following command-line options:

- --config-test

  Exit after loading the configuration files before binding to the listen address. The exit code signals whether or not the configuration files have been successfully loaded.

  If the exit code is 1, at least one of the configuration files is invalid, if it is 0, all the configuration files have been successfully loaded (but may still contain errors that can currently only be detected at run time).

  This option doesn't affect the log setting, combination with --no-daemon is recommended if a configured log file shouldn't be used.

- --version

  Print version info and exit. Unix only.

- --help

  Print short usage info and exit. Unix only.

- --no-daemon

  Don't become a daemon, i.e. don't fork and become process group leader, and don't detach from controlling tty. Unix only.

- --pidfile FILE

  On startup, write the process ID to FILE. Delete the FILE on exit. Failure to create or delete the FILE is non-fatal. If no FILE option is given, no PID file will be used. Unix only.

- --user USER[.GROUP]

  After (optionally) writing the PID file, assume the user ID of USER, and if included the GID of GROUP. Exit if the privileges are not sufficient to do so. Unix only.

- --chroot

  Before changing to the user ID given in the --user option, chroot to that user's home directory, i.e. make the kernel pretend to the Privoxy process that the directory tree starts there. If set up carefully, this can limit the impact of possible vulnerabilities in Privoxy to the files contained in that hierarchy. Unix only.

- --pre-chroot-nslookup hostname

  Specifies a hostname (for example www.privoxy.org) to look up before doing a chroot. On some systems, initializing the resolver library involves reading config files from /etc and/or loading additional shared libraries from /lib. On these systems, doing a hostname lookup before the chroot reduces the number of files that must be copied into the chroot tree.

  For fastest startup speed, a good value is a hostname that is not in /etc/hosts but that your local name server (listed in /etc/resolv.conf) can resolve without recursion (that is, without having to ask any other name servers). The hostname need not exist, but if it doesn't, an error message (which can be ignored) will be output.

- configfile

  If no configfile is included on the command line, Privoxy will look for a file named "config" in the current directory (except on Win32 where it will look for "config.txt" instead). Specify full path to avoid confusion. If no config file is found, Privoxy will fail to start.

On MS Windows only there are two additional command-line options to allow Privoxy to install and run as a service. See the Window Installation section for details.

Prev | Home | Next
Quickstart to Using Privoxy |  | Privoxy Configuration